local VillageDeco = ...

VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Ironfence_Part", "PREFAB_IRONFENCE_DARK")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Ironfence", "PREFAB_IRONFENCE_LIGHT")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Irongatelock_Part", "PREFAB_IRONGATELOCK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Irongatesingle_Part", "PREFAB_IRONGATESINGLE")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Pillar_Part", "PREFAB_PILLAR_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Arch_Part", "PREFAB_ARCH_DARK")
VillageDeco:registerAssetId("models/ironfencedark.fbx/Prefab/Fence_Part", "PREFAB_FENCE_SINGLE_DARK")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Pillar_Part", "PREFAB_PILLAR_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Arch_Part", "PREFAB_ARCH_LIGHT")
VillageDeco:registerAssetId("models/ironfencelight.fbx/Prefab/Fence_Part", "PREFAB_FENCE_SINGLE_LIGHT")
VillageDeco:registerAssetId("models/fence.png", "TEXTURE_FENCE")

VillageDeco:register({
	DataType = "MATERIAL",
	Id = "MATERIAL_FENCE",
	HasAlphaTest = true,
	AlbedoTexture = "TEXTURE_FENCE"
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "IRONFENCE_DARK",
	WallConfigName = "IRONFENCE_DARK_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_IRONFENCE_DARK",
	CrenationDistance = 4.5,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "WALL_CONFIG",
	Id = "IRONFENCE_LIGHT",
	WallConfigName = "IRONFENCE_LIGHT_NAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_FENCE",
	MaterialTop = "MATERIAL_FENCE",
	Crenation = "PREFAB_IRONFENCE_LIGHT",
	CrenationDistance = 4.5,
	StepLength = 5,
	Width = 0.5,
	Height = 2,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FENCE_SINGLE_DARK",
	Name = "FENCE_SINGLE_DARK_NAME",
	Description = "FENCE_SINGLE_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {3,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FENCE_SINGLE_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_FENCE_SINGLE_LIGHT",
	Name = "FENCE_SINGLE_LIGHT_NAME",
	Description = "FENCE_SINGLE_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {3,1},
	Mover = {
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FENCE_SINGLE_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_PILLAR_DARK",
	Name = "PILLAR_DARK_NAME",
	Description = "PILLAR_DARK_DESC",
	Category = "DECORATION",
	BuildingZone = {1,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_PILLAR_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_PILLAR_LIGHT",
	Name = "PILLAR_LIGHT_NAME",
	Description = "PILLAR_LIGHT_DESC",
	Category = "DECORATION",
	BuildingZone = {1,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_PILLAR_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_ARCH_DARK",
	Name = "ARCH_DARK_NAME",
	Description = "ARCH_DARK_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ARCH_DARK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_ARCH_LIGHT",
	Name = "ARCH_LIGHT_NAME",
	Description = "ARCH_LIGHT_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ARCH_LIGHT"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRONGATELOCK",
	Name = "IRONGATELOCK_NAME",
	Description = "IRONGATELOCK_DESC",
	Category = "DECORATION",
	BuildingZone = {4,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRONGATELOCK"
	}
})

VillageDeco:register({
	DataType = "BUILDING_PART",
	Id = "PREFAB_IRONGATESINGLE",
	Name = "IRONGATESINGLE_NAME",
	Description = "IRONGATESINGLE_DESC",
	Category = "DECORATION",
	BuildingZone = {3,1},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_IRONGATESINGLE"
	}
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Arch_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Fence_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Pillar_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Irongatelock_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})

VillageDeco:registerPrefabComponent("models/ironfencedark.fbx/Prefab/Irongatesingle_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Arch_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Fence_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})

VillageDeco:registerPrefabComponent("models/ironfencelight.fbx/Prefab/Pillar_Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MINOR"
})

VillageDeco:registerAssetProcessor("models/ironfencedark.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

VillageDeco:registerAssetProcessor("models/ironfencelight.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})